POST /calls/:id

Authorization Required
https://[your-subdomain].trackdrive.net/api/v1/calls/:id

Update a call by ID or UUID

Update a call by Call ID or Call UUID with contact fields, revenue, payout, and more.

Params

Param name Description
serializer
Optional Blank value allowed

This endpoint supports multiple response formats. Pass serializer=name to retrieve data in an alternate format.

  • Must be a value contained in the pick list:
    Acceptable ValueDescription
    callDefault response format.
    call_gridModern response format that returns various foreign keys for use with other API endpoints.
id
Optional

Find the call by Call ID or Call UUID.

Example ID 123895022.

Example UUID c3b20b12-3b3b-4322-b15d-0f1c5f653479

  • Must be a String

post_call_tokens
Optional

Custom contact fields defined on the offer.
EG: {first_name: "John", last_name: "Smith", zip_code: "90210"}

  • Must be a Hash

revenue
Optional

The revenue paid out for the call.

  • Must be a decimal number.

add_revenue
Optional

Add this amount to the call’s current revenue. For example pass 2.5 to add 2.5 to the current call revenue. If the call revenue is currently 10.50, the revenue would become 13 (10.50 + 2.50)

  • Must be a decimal number.

add_payout
Optional

Add this amount to the call’s current payout.

  • Must be a decimal number.

buyer_converted
Optional

Did the buyer convert?

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

trackdrive_buyer_id
Optional

Update the winning Buyer that is assigned to this call.

payout
Optional

The amount paid to the traffic source.

  • Must be a decimal number.

offer_converted
Optional

Did the traffic source convert?

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

trackdrive_traffic_source_id
Optional

Update the Traffic Source that is assigned to this call.

contact_field_type
Optional

Pass an ID belonging to an Agent Script & Field Type to select that Custom Contact Field Type for this call.

  • Must be a String

fire_outgoing_webhook_ids
Optional

Manually refire the listed outgoing webhook ids against this call.

  • Must be an array of decimal values. EG: [0, 1, 2, 3]

manual_transcribe
Optional

Manually transcribe this call using the default transcription group.

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

call_disposition_id
Optional Blank value allowed

Call Disposition

agent_call_disposition_notes
Optional Blank value allowed

Notes

  • Must be a String

blocked
Optional Blank value allowed

Block or unblock this caller’s number. Blocking prevents outbound calls, SMS, and email to them, and blocks their inbound calls and SMS too.

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

contact_field_view_id
Optional Blank value allowed

The Agent Script this call is showing to the agent, which controls its custom fields and instructions.

  • Must be an 8-bit integer ID or a 128-bit UUID reference to an object on Trackdrive. Example ID: 289302820, Example UUID: 924c37d5-e70f-42ad-84c2-e85eb0c1bc21

description
Optional Blank value allowed

A human readable description of the record.

  • Must be a String

hang_up
Optional Blank value allowed

Set to true to immediately hang up this call.

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

original_recording_url
Optional Blank value allowed

The externally hosted recording URL for this call, before it is copied to Trackdrive’s own storage.

  • Must be a String

reapply_conversions
Optional Blank value allowed

Set to true to reapply this call’s buyer and offer conversion logic using its current revenue and payout.

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

rerun_webhooks
Optional Blank value allowed

Manually refire the webhooks associated with this call.

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

schedule_callback_now
Optional Blank value allowed

Schedule an immediate callback.

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

schedule_callback_random_one_hour
Optional Blank value allowed

Schedule a callback sometime in the next hour.

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off